package org.feup.apm.myauthenticator

import android.os.Bundle
import android.widget.EditText
import androidx.appcompat.app.AppCompatActivity

class SettingsActivity : AppCompatActivity() {
  private val edtIP by lazy { findViewById<EditText>(R.id.edt_ip) }
  private val edtPort by lazy { findViewById<EditText>(R.id.edt_port) }
  private val edtName by lazy { findViewById<EditText>(R.id.edt_name) }

  override fun onCreate(savedInstanceState: Bundle?) {
    super.onCreate(savedInstanceState)
    setContentView(R.layout.activity_settings)
    val sharedPrefs = getShared(this, "authShared")
    edtIP.setText(sharedPrefs.getString("IP", ""))
    edtPort.setText(sharedPrefs.getInt("port", 80).toString())
    edtName.setText(sharedPrefs.getString("name", ""))
  }

  override fun onStop() {
    super.onStop()
    val sharedPrefs = getShared(this, "authShared")
    sharedPrefs.edit()
      .putString("IP", edtIP.text.toString())
      .putInt("port", edtPort.text.toString().toInt())
      .putString("name", edtName.text.toString())
      .apply()
  }
}